Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.gouv.culture.sdx.framework
Interface Framework

All Superinterfaces:
  org.apache.avalon.framework.component.Component

All Known Implementing Classes:
  FrameworkImpl

public interface Framework
extends org.apache.avalon.framework.component.Component

An SDX framework.

There is one framework object per running SDX installation. It is implemented as a Cocoon/Avalon component with this interface and the `FrameworkImpl` class.

This framework is loaded when Cocoon starts up.

Nested Class Summary
`static interface` | `Framework.ConfigurationNode`

Field Summary
`static java.lang.String` | `ATTRIBUTE_LANG` The xml:lang attribute name.
`static java.lang.String` | `BUILD` Build numer of sdx (ie today's date), in the cvs sources, this value should stay at "2006060601" so that the ant task will change it
`static java.lang.String` | `CLASS_NAME_SUFFIX`
`static java.lang.String` | `DEFAULT_ENCODING`
`static java.lang.String` | `ROLE` The role name of the framework component.
`static java.lang.String` | `SDXNamespacePrefix` The sdx namespace prefix.
`static java.lang.String` | `SDXNamespaceURI` The sdx namespace uri.
`static java.lang.String` | `TOSAX` name of the object used in toSAX() methods
`static java.lang.String` | `URL_ENCODING` Deprecated. Use encoding set in FrameworkImpl from sdx.xconf file
`static java.lang.String` | `VERSION` Version number of sdx
`static java.lang.String` | `XMLNamespacePrefix` The xml namespace prefix.
`static java.lang.String` | `XMLNamespaceURI` The xml namespace uri.

Field Detail

### CLASS_NAME_SUFFIX

    public static final java.lang.String CLASS_NAME_SUFFIX

See Also:
  Constant Field Values

### BUILD

    public static final java.lang.String BUILD

  Build numer of sdx (ie today's date), in the cvs sources, this value should stay at "2006060601" so that the ant task will change it

  See Also:
    Constant Field Values

### VERSION

    public static final java.lang.String VERSION

  Version number of sdx

  See Also:
    Constant Field Values

### DEFAULT_ENCODING

    public static final java.lang.String DEFAULT_ENCODING

See Also:
  Constant Field Values

### ROLE

    public static final java.lang.String ROLE

  The role name of the framework component.

  See Also:
    Constant Field Values

### SDXNamespacePrefix

    public static final java.lang.String SDXNamespacePrefix

  The sdx namespace prefix.

  See Also:
    Constant Field Values

### SDXNamespaceURI

    public static final java.lang.String SDXNamespaceURI

  The sdx namespace uri.

  See Also:
    Constant Field Values

### XMLNamespacePrefix

    public static final java.lang.String XMLNamespacePrefix

  The xml namespace prefix.

  See Also:
    Constant Field Values

### XMLNamespaceURI

    public static final java.lang.String XMLNamespaceURI

  The xml namespace uri.

  See Also:
    Constant Field Values

### ATTRIBUTE_LANG

    public static final java.lang.String ATTRIBUTE_LANG

  The xml:lang attribute name.

  See Also:
    Constant Field Values

### TOSAX

    public static final java.lang.String TOSAX

  name of the object used in toSAX() methods

  See Also:
    Constant Field Values

### URL_ENCODING

    public static final java.lang.String URL_ENCODING

  Deprecated. Use encoding set in FrameworkImpl from sdx.xconf file

  url encoding no longer used

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Ministere de la culture et de la communication / AJLSM. All Rights Reserved.